Subject: Re: [bug#68258] [PATCH 0/7] Upgrading Shepherd and moving the Hurd to 0.10.x

From: Ludovic Courtès <[email-masked]>
Date: Sun, 07 Jan 2024 12:14:45 +0100

Janneke Nieuwenhuizen <[email-masked]> skribis:

> Yay!  I had trouble building (running the test suite of?) fibers before
> on the Hurd, IIRC.
>
> I haven't re-checked this, so we might have to check this or disable
> (some) tests to allow native builds.  Really just wildly guessing here.

Yeah, so far I was testing the Shepherd’s test suites with:

  guix build -s i586-gnu -f guix.scm --without-tests=guile-fibers

I’ve already identified a bug in the libevent backend of Fibers; I’ll
take a look at the test suite.

Thanks for testing!

Ludo’.